Name:           photoprint
Version:        0.4.2
Release:        0.24.pre2%{?dist}
Summary:        Utility for printing digital photographs

Group:          Applications/Multimedia
# borders are Creative Commons Attribution 2.0 UK: England & Wales License
License:        GPLv2+ and CC-BY
URL:            http://blackfiveimaging.co.uk/index.php?article=02Software%2F01PhotoPrint
#Source0:        http://www.blackfiveimaging.co.uk/photoprint/%{name}-%{version}.tar.gz
Source0:        http://www.blackfiveimaging.co.uk/photoprint/photoprint-0.4.2-pre2.tar.gz
Patch0:         photoprint-0.4.2-pre2-lib.patch
# Modernize autotool sources.
Patch1:         photoprint-0.4.2-pre2-configure.ac.patch
Patch2:         photoprint-0.4.2-pre2-glib-includes.patch
# Avoid clashes between netpbm/pam.h's and c++14's "tuple"
Patch3:         photoprint-0.4.2-pre2-c++14.patch
# Pregenerated updated autotool support files.
Patch4:         photoprint-0.4.2-pre2-autotools.patch

BuildRequires:  gcc-c++
BuildRequires:  gcc
BuildRequires:  gutenprint-devel
BuildRequires:  lcms-devel
BuildRequires:  netpbm-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils

# upstream merged photoprint-borders into photoprint in version 0.4.1.
Provides: photoprint-borders = 0.0.2-7%{?dist}
Obsoletes: photoprint-borders < 0.0.2-7

%description
PhotoPrint is a utility designed to assist in the process 
of printing digital photographs.
PhotoPrint can do the following:

* Print photographs 1-up, 2-up, 4-up or with any user-selectable
  number of rows and columns.
* Create posters, split over several pages.
* Arrange images into a sort of Carousel, fading from one to 
  another.  (Ideal for CD labels)
* Crop images to fit a specific frame.
* Apply a decorative border to an image.
* Make use of ICC colour profiles to provide accurate output.
* Send 16-bit data to the printer, to avoid "contouring" problems 
  in smooth gradients.
* Apply a handful of effecs to an image, including sharpening, 
  removing colour and adjusting colour temperature 
  (ideal for cooling or warming black-and-white prints).


%prep
%setup -q -n %{name}-%{version}-pre2
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# Adjust timestamps to avoid rerunning the autotools
touch -r aclocal.m4 configure.* $(find -name Makefile.in) m4/*.m4

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# install man page
install  -Dpm 0644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

desktop-file-validate %{buildroot}/%{_datadir}/applications/fotoprint.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README ChangeLog
%license COPYING
%{_bindir}/*
%{_datadir}/applications/fotoprint.desktop
%{_datadir}/icons/hicolor/48x48/apps/fotoprint.png
%{_mandir}/man*/*
%{_datadir}/%{name}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-0.24.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-0.23.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-0.22.pre2
- Remove obsolete scriptlets

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-0.21.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-0.20.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-0.19.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Mar 15 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.4.2-0.18.pre2
- Make package c++14 compliant (F24FTBFS, RHBZ#1307856).
- Add %%license.
- Modernize spec.
- Rework autotools processing.
- Fix bogus %%changelog entry.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-0.17.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-0.16.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.4.2-0.15.pre2
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-0.14.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-0.13.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-0.12.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-0.11.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 21 2013 Adam Tkac <atkac redhat com> - 0.4.2-0.10.pre2
- rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 0.4.2-0.9.pre2
- rebuild against new libjpeg

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-0.8.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Matt Domsch <mdomsch@fedoraproject.org> - 0.4.2-0.7.pre2
- rebuild for gutenprint ABI fix release

* Wed Jun 13 2012 Matt Domsch <mdomsch@fedoraproject.org> - 0.4.2-0.6.pre2
- rebuild for new gutenprint

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-0.5.pre2
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-0.4.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 14 2011 Matt Domsch <mdomsch@fedoraproject.org> - 0.4.2-0.3.pre2
- bump to pick up new libnetpbm
- patch to not include glib/*, only glib.h, required by new glib

* Thu Jun 23 2011 Matt Domsch <mdomsch@fedoraproject.org> - 0.4.2-0.2.pre2
- obsolete photoprint-borders, content is merged into photoprint by upstream

* Thu Jun 23 2011 Matt Domsch <mdomsch@fedoraproject.org> - 0.4.2-0.1.pre2
- update to 0.4.2-pre2, fixes FTBFS (BZ#599755)
- requires updating gettext, libtool, autoreconf as well (done on Fedora 14)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 15 2009 Zarko <zarko.pintar@gmail.com> - 0.4.0-6
- resolving summary, license
- added g++4.4 patch
- resolving timestamps
- new scriplets for icon cache

* Sat Mar 28 2009 Zarko <zarko.pintar@gmail.com> - 0.4.0-5
- resolved issue in .paths patch for resolving paths in Paths... dialogbox

* Wed Mar 25 2009 Zarko <zarko.pintar@gmail.com> - 0.4.0-4
- added .paths patch for resolving paths in Paths... dialogbox

* Mon Mar 23 2009 Zarko <zarko.pintar@gmail.com> - 0.4.0-3
- scriptlets added 

* Fri Mar 20 2009 Zarko <zarko.pintar@gmail.com> - 0.4.0-2
- added .desktop validation
- added man file

* Thu Mar 19 2009 Zarko <zarko.pintar@gmail.com> - 0.4.0-1
- initial release
